| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::HistoryEdgeProperties Class Reference

Every edge has one associated object of this class. More...

## Public Member Functions
HistoryEdgeProperties & | operator+= (const FilterAction &action)

## Public Attributes
QList< FilterAction > | actions

## Detailed Description

For two vertices v1, v2 with and edge e, v1 -> v2, describes the actions necessary to create v2 from v2: v1 -> actions[0] -> ... -> actions[n] = v2.